TAAS - Feature #307

Assets Search

02/14/2024 09:50 AM - Junaid M

Status: Reopen Bugs Coding Done Start date: 02/14/2024
Priority: Normal Due date:

Assignee: Sreeranjini T % Done: 70%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By:

Time Taken(HH): Code Reviewed By:

Module: Assets Search

Description

Coding Assets Search

History

#1 - 02/14/2024 03:55 PM - Nithin Raj
- Status changed from New to Coding Started

- % Done changed from 0 to 40

#2 - 02/23/2024 12:29 PM - Junaid M

GUI CHANGE

Done - Add "ltem Code~" (Textbox) below department

#3 - 03/07/2024 04:32 PM - Anil KV

- Status changed from Coding Started to New

- % Done changed from 30 to 0

#4 - 06/13/2024 11:05 AM - Anonymous

- Assignee changed from Nithin Raj to travvise Admin

#5 - 08/20/2024 04:18 PM - Anil KV

GUI Change

-> Add 'Current Assets Status' filter

—-> add 'Current Assets Status' list

#6 - 08/23/2024 03:03 PM - Anil KV

- Status changed from New to Ready for Coding

- % Done changed from 0 to 20

#7 - 08/31/2024 03:02 PM - Anonymous

- Assignee changed from travvise Admin to Sreeranjini T

#8 - 09/04/2024 10:50 AM - Anonymous

- Status changed from Ready for Coding to Coding Started

- % Done changed from 20 to 30

#9 - 09/04/2024 12:22 PM - Sreeranjini T

- Status changed from Coding Started to Ready for Coding

- % Done changed from 30 to 20
#10 - 09/04/2024 12:23 PM - Sreeranjini T
- Status changed from Ready for Coding to Coding Started
- % Done changed from 20 to 30

#11 - 09/09/2024 06:35 PM - Sreeranjini T
- Status changed from Coding Started to Coding Done
- % Done changed from 30 to 60

#12 - 11/09/2024 09:46 AM - Arathy PS
- Status changed from Coding Done to Testing Started

#13 - 11/09/2024 06:31 PM - Arathy PS
- Status changed from Testing Started to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND

1. The status of the assets after depreciation changes to sold.
2. FIXED - Add an expand/collapse icon.
3. FIXED - Not getting result if we enter item code first two alphabets (~ symbol not working)

#14 - 11/11/2024 04:45 PM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#15 - 12/14/2024 06:11 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1. Data of other assets are also showing when try searching with asset master.
2. No validation when item range end number is less than start range.

#16 - 12/17/2024 09:37 AM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#17 - 12/17/2024 05:22 PM - Theja Ponon
- File clipboard-202412171722-03u4a.png added
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

Issue found

Assets Search

42601: syntax error at or near "_jid" *

Assets tem Code~ ~ Branch* | Main -
Msintleszer | Computers B Softwares v Bill No + Department | account - m

Status | Adtive Mot Depreciation Started 2 mors - Categery -

Y. a B s o

Asset/Item Name Status tem Code Particulars Current Branch Purchase Am... | Depreciation % @ Accu. Depredi...  Current Depr... = Net Value
#18 - 12/18/2024 09:46 AM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#19 - 12/18/2024 10:16 AM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#20 - 01/02/2025 02:54 PM - Theja Ponon
- Status changed from Reopen Bugs Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FIXED

1)Not considering the reference,Narration,group,type,family during search
2)Reset the input field as default after pressing new

#21 - 01/02/2025 03:10 PM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#22 - 01/03/2025 02:08 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#23 - 01/06/2025 10:56 AM - Theja Ponon
- File clipboard-202501061038-2tlwh.png added
- Status changed from Reopen Bugs Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FOUND

1)Search result is generating when any value given on this fields

Assets Search

JAVEL SOLUTION PVT LTD

Assets | AST1 Assets Master Group Branch™ | Main -
Main Ledger | Computers & Softwares Type Department | Account T
ily
Status | Active Not Depreciation Started Family ass
Category w—
T SoQ =
Asset/Item Name Status Item Code Particulars Current Branch Purchase Am... | Depreciation %
No data

2)On changing the dropdown of bill no and type fields corresponding value in their input box is not changing

3)check the case of status

#24 - 01/07/2025 05:21 PM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#25 - 01/09/2025 02:51 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND
1)iISSUE ON STATUS FILTER

#26 - 01/10/2025 10:34 AM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#27 - 01/10/2025 06:25 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done
- % Done changed from 70 to 90

#28 - 01/25/2025 01:01 PM - Theja Ponon
- Status changed from Reopen Bugs Testing Done to Reopen Bugs

- % Done changed from 90 to 50
1)on ticking status as active no data showing

#29 - 01/27/2025 09:41 AM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#30 - 02/25/2025 01:55 PM - Theja Ponon

- File clipboard-202502251306-gsgqz.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

Issue Found

1)Depriciation % show in the derpriciation amount field
2)incorrect table header data

Assets Search Report

Assets/Asset Items Status Item Particulars Current Purchase Dprec  Accu.Dep Current Net Value
Code Branch Amount Amount rec Deprec

Assets: AST001:: Assets Master
Assets Items Active 001 BR0O02:Branch 10000.00 4.00 0.00 0.00 10000.00
Assets Items Active 002 BROO2:Branch 2500.00 4.00 0.00 0.00 2500.00
Assets Items Active 003 BROO2:Branch 2500.00 4.00 0.00 0.00 2500.00
Assets Items Active 004 BROO2:Branch 2500.00 4.00 0.00 0.00 2500.00
Assets Items Active 005 BROO2::Branch 2500.00 4.00 0.00 0.00 2500.00
Assets Items Active 006 BROO2:Branch 2000.00 4.00 0.00 0.00 2000.00

#31 - 02/26/2025 09:57 AM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#32 - 02/28/2025 09:46 AM - Sreeranjini T
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

#33 - 02/28/2025 03:45 PM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70
#34 - 04/01/2025 12:35 PM - Theja Ponon

- File clipboard-202504011235-gm6hk.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

Issue fixed

1)sold items are not showing when sold is ticked

Assets Search

Assets Item Code~ ~ Branch®
Main Ledger v Bill No ~ Department Ao
Status | Active Sold 6 more - Category ~ v
ama
Assets List
Asset/Item Name Status Item Code Particulars Current Branch Purchase Am... | Depreciation % | Accu. Depreci...
~  Assets: ASTO01:: Assets Master
Assets ltems Active(Depreciation... 002 BROO1:Main 110010 5.00 0.00
Assets ltems Active(Depreciation... 003 BROOT:Main 120000 5.00 0.00
~  Assets: AST002: Assets Master New
Assets ltems new Active(Depreciation... 003 BROO1:Main 25000 5.00 0.00
Assets ltems new Active(Depreciation... 006 BROO1:Main 25000 5.00 0.00
Assets ltems new Active(Depreciation... 007 BROO1:Main 25000 500 0.00
Assets ltems new Active(Depreciation... 008 BROO1:Main 25000 5.00 0.00

\

#35 - 04/05/2025 09:28 AM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#36 - 04/05/2025 05:16 PM - Arathy PS
- File clipboard-202504051716-njtbj.png added
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

1. FIXED- Data showing even though document status and posting status is inactive (the documents that are showing are active)
2. Data not showing based on the account group selected - need to fix assets master module.
3. FIXED -Data not showing based on asset master we entered.

Assets Search

Assets

ASTOO1 Item Code~ -

Main Ledger v 8illNo -

Stats | Active Not Depreciation Started 2 more M Category ~

Branch®  yszin

Department  account

Y K’

Current Depr...

1000

10.00

1000

10.00

10.00

10.00

a B e

v}

Net Value

1090.10

1190.00

240,00
240,00
240.00

240,00

Assets List Y S oQ 2 m
Asset/Item Name Status Item Code Particulars Current Branch Purchase Am...  Depreciation % = Accu. Depreci... Current Depr... Net Value
Assets Items D Active(Depreciation... 016 BROO1:Main 1000.00 10.00 0.00 0.00 1000.00
Assets [tems D Active(Depreciation... 017 BROO1:Main 1000.00 10.00 0.00 0.00 1000.00
Assets Items D Active(Depreciation... 018 BROO1:Main 1000.00 10.00 0.00 0.00 1000.00
#37 - 04/08/2025 11:35 AM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70
Files
clipboard-202412171722-03u4a.png 56.8 KB 12/17/2024 Theja Ponon
clipboard-202501061038-2tlwh.png 73.4 KB 01/06/2025 Theja Ponon
clipboard-202502251306-gsgqgz.png 58.1 KB 02/25/2025 Theja Ponon
clipboard-202504011235-gm6hk.png 72.1 KB 04/01/2025 Theja Ponon
clipboard-202504051716-njtbj.png 107 KB 04/05/2025 Arathy PS
